from .....com.orbitgis.lib.lang.Boolean import Boolean
from .....com.orbitgis.lib.lang.Double import Double
from .....com.orbitgis.lib.lang.Integer import Integer
from .....com.orbitgis.lib.lang.StringBuilder import StringBuilder
from .....orbitgt.mapping3d.sdk.viewer.AList import AList
from .....orbitgt.mapping3d.sdk.viewer.AMap import AMap
from .....orbitgt.mapping3d.sdk.viewer.Bounds import Bounds
from .....orbitgt.mapping3d.sdk.viewer.Collections import Collections
from .....orbitgt.mapping3d.sdk.viewer.Color import Color
from .....orbitgt.mapping3d.sdk.viewer.Coordinate import Coordinate
from .....orbitgt.mapping3d.sdk.viewer.CoordinatePart import CoordinatePart
from .....orbitgt.mapping3d.sdk.viewer.CoordinatePath import CoordinatePath
from .....orbitgt.mapping3d.sdk.viewer.Error import Error
from .....orbitgt.mapping3d.sdk.viewer.IList import IList
from .....orbitgt.mapping3d.sdk.viewer.IMap import IMap
from .....orbitgt.mapping3d.sdk.viewer.MapObject import MapObject
from .....orbitgt.mapping3d.sdk.viewer.MeasureProperty import MeasureProperty
from .....orbitgt.mapping3d.sdk.viewer.MeasureState import MeasureState
from .....orbitgt.mapping3d.sdk.viewer.SerializeUtil import SerializeUtil
from .....com.orbitgis.tool.Strings import Strings

class SerializeTest:
    pass

print("TEST")
print("STRING: "+SerializeUtil.serialize("test"))
print("INTEGER: "+SerializeUtil.serialize(Integer(145)))
print("DOUBLE: "+SerializeUtil.serialize(Double(0.25)))
print("BOOLEANT: "+SerializeUtil.serialize(Boolean.TRUE))
print("BOOLEANF: "+SerializeUtil.serialize(Boolean.FALSE))
print("COLOR: "+SerializeUtil.serialize(Color.fromRGBA(10,20,30,40)))
print("COORD: "+SerializeUtil.serialize(Coordinate.fromXYZ("31370",110.0,120.0,130.0)))
part = CoordinatePart()
part.crs = "31370"
part.points.add(Coordinate.fromXYZ("31370",110.0,120.0,130.0))
part.points.add(Coordinate.fromXYZ("31370",510.0,520.0,530.0))
print("COORD-PART: "+SerializeUtil.serialize(part))
map = AMap[object](Collections.TYPE_OBJECT)
print("MAP: "+SerializeUtil.serialize(map))
serial2 = "{0:{_c:sM;c:{_c:sO;a:i255;b:i148;g:i71;r:i34};fc:{_c:sO;a:i0;b:i148;g:i71;r:i34};l:sES Donostia;lc:{_c:sO;a:i255;b:i255;g:i255;r:i255};lfn:sArial;lfs:f12;lp:{_c:sC;c:spixel};lw:f3;oi:sresource-365-bounds;ot:sfootprint;sa:{0:{0:{_c:sC;x:f-2.04086711193721;y:f43.2527667976805;z:fundefined};1:{_c:sC;x:f-1.9158876014426;y:f43.2527667976805;z:fundefined};2:{_c:sC;x:f-1.9158876014426;y:f43.3307587263761;z:fundefined};3:{_c:sC;x:f-2.04086711193721;y:f43.3307587263761;z:fundefined};4:{_c:sC;x:f-2.04086711193721;y:f43.2527667976805;z:fundefined};_c:sCL;c:i5};_c:sCP;c:i1}};_c:sAL;_s:i1;_t:sM}"
print("SERIAL2: "+SerializeUtil.deserialize(serial2).toString())
